Get Documents listing
GET/documents
Returns a list of the most recent documents added, ordered by inserted, descending
Request
Query Parameters
Site Identifier
Possible values: [FAILED, IN_QUEUE, PENDING, RUNNING, SKIPPED, FAILED_RETRY]
Fetch documents with an action status
Possible values: [FULLTEXT_METADATA_FAILED, FULLTEXT_CONTENT_FAILED]
Fetch documents with an sync status
Fetch soft deleted documents
Deprecated: use softDeleted. Fetch soft deleted documents
Fetch documents inserted on a certain date (yyyy-MM-dd)
UTC offset to apply to date parameter (IE: -0600)
Start of date-time range (UTC)
End of date-time range (UTC)
Possible values: [ASC, DESC]
Sort order (default DESC)
Next page of results token
Previous page of results token
Possible values: [DOCUMENT_ID_ONLY]
Specify a restricted document projection. Use 'DOCUMENT_ID_ONLY' to return only the documentId attribute.
Limit Results
10Responses
- 200
200 OK
Response Headers
Access-Control-Allow-Origin
string
Access-Control-Allow-Methods
string
Access-Control-Allow-Headers
string
- application/json
- Schema
- Example (from schema)
Schema
Array [
Array [
]
]
Next page of results token
Previous page of results token
documents
object[]
List of documents
Site Identifier
Path or Name of document
Document Content Width property
Document Content Height property
Path or Name of deep link
Document resource type
Possible values: [DOCUMENT, DOSSIER, DEEP_LINK]
Inserted Timestamp
Last Modified Timestamp
Soft Deleted Timestamp
Document checksum, changes when document file changes
The type of checksum to use for file validation
Possible values: [SHA1, SHA256, SHA512]
Document Identifier
Artifact Identifier
Promoted Artifact Identifier
Artifact Category
Whether the document has artifact documents
Document Content-Type
User who added document
Document size
Document version
Document Version Identifier
Document storage version
Parent Document Identifier
metadata
object[]
List of document Metadata
Metadata key
Metadata value
Metadata values
{
"next": "string",
"previous": "string",
"documents": [
{
"siteId": "string",
"path": "string",
"width": "string",
"height": "string",
"deepLinkPath": "string",
"resourceType": "DOCUMENT",
"insertedDate": "string",
"lastModifiedDate": "string",
"deletedDate": "string",
"checksum": "string",
"checksumType": "SHA1",
"documentId": "string",
"artifactId": "string",
"promotedArtifactId": "string",
"artifactCategory": "string",
"hasArtifacts": true,
"contentType": "string",
"userId": "string",
"contentLength": 0,
"version": "string",
"versionKey": "string",
"s3version": "string",
"belongsToDocumentId": "string",
"metadata": [
{
"key": "string",
"value": "string",
"values": [
"string"
]
}
]
}
]
}